Package com.independentsoft.office.drawing

# Enum Class TextUnderlineType

java.lang.Object
java.lang.Enum<TextUnderlineType>
com.independentsoft.office.drawing.TextUnderlineType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextUnderlineType>`, `Constable`

public enum TextUnderlineType extends Enum<TextUnderlineType>
The Enum TextUnderlineType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASHED`
  `DOT_DASH`
  `DOT_DOT_DASH`
  `DOTTED`
  `DOUBLE`
  `DOUBLE_WAVY`
  `HEAVY`
  `HEAVY_DASHED`
  `HEAVY_DOT_DASH`
  `HEAVY_DOT_DOT_DASH`
  `HEAVY_DOTTED`
  `HEAVY_LONG_DASHED`
  `HEAVY_WAVY`
  `LONG_DASHED`
  `NONE`
  `SINGLE`
  `WAVY`
  `WORDS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextUnderlineType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextUnderlineType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DASHED

    public static final TextUnderlineType DASHED

  - ### HEAVY_DASHED

    public static final TextUnderlineType HEAVY_DASHED

  - ### LONG_DASHED

    public static final TextUnderlineType LONG_DASHED

  - ### HEAVY_LONG_DASHED

    public static final TextUnderlineType HEAVY_LONG_DASHED

  - ### DOUBLE

    public static final TextUnderlineType DOUBLE

  - ### DOT_DASH

    public static final TextUnderlineType DOT_DASH

  - ### HEAVY_DOT_DASH

    public static final TextUnderlineType HEAVY_DOT_DASH

  - ### DOT_DOT_DASH

    public static final TextUnderlineType DOT_DOT_DASH

  - ### HEAVY_DOT_DOT_DASH

    public static final TextUnderlineType HEAVY_DOT_DOT_DASH

  - ### DOTTED

    public static final TextUnderlineType DOTTED

  - ### HEAVY_DOTTED

    public static final TextUnderlineType HEAVY_DOTTED

  - ### HEAVY

    public static final TextUnderlineType HEAVY

  - ### SINGLE

    public static final TextUnderlineType SINGLE

  - ### WAVY

    public static final TextUnderlineType WAVY

  - ### DOUBLE_WAVY

    public static final TextUnderlineType DOUBLE_WAVY

  - ### HEAVY_WAVY

    public static final TextUnderlineType HEAVY_WAVY

  - ### WORDS

    public static final TextUnderlineType WORDS

  - ### NONE

    public static final TextUnderlineType NONE

- ## Method Details

  - ### values

    public static TextUnderlineType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextUnderlineType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null